setup.py: Add long_description_content_type
[cookiecutter.git] / project_template / setup.py
1 #!/usr/bin/env python
2
3 from imp import load_source
4 from os.path import abspath, dirname, join
5 from setuptools import setup
6
7 versionpath = join(abspath(dirname(__file__)), '{project}', '__version__.py')
8 {project}_version = load_source('{project}_version', versionpath)
9
10 setup(name='{project}',
11       version={project}_version.__version__,
12       description='Broytman {project}',
13       long_description=open('README.rst', 'rU').read(),
14       long_description_content_type="text/x-rst",
15       author='Oleg Broytman',
16       author_email='phd@phdru.name',
17       url='http://phdru.name/Software/Python/{project}',
18       download_url='http://phdru.name/Software/Python/{project}',
19       project_urls={
20           'Homepage': 'http://phdru.name/Software/Python/{project}',
21           'Documentation':
22               'http://phdru.name/Software/Python/{project}/docs/',
23           'Russian docs':
24               'http://phdru.name/Software/Python/{project}/docs/ru/',
25           'Download': 'http://phdru.name/Software/Python/{project}',
26           'Git repo': 'http://git.phdru.name/{project}.git/',
27           'Github repo': 'https://github.com/phdru/{project}',
28           'Issue tracker': 'https://github.com/phdru/{project}/issues',
29       },
30       license='GPL',
31       keywords=[''],
32       platforms='Any',
33       classifiers=[
34           'Development Status :: 1 - Planning',
35           'Environment :: Console',
36           'Environment :: Web Environment',
37           'Intended Audience :: End Users/Desktop',
38           'License :: OSI Approved :: GNU General Public License (GPL)',
39           'Operating System :: OS Independent',
40           'Programming Language :: Python :: 2',
41           'Programming Language :: Python :: 2.7',
42           'Programming Language :: Python :: 3',
43           'Programming Language :: Python :: 3.3',
44           'Programming Language :: Python :: 3.4',
45           'Programming Language :: Python :: 3.5',
46           'Programming Language :: Python :: 3.6',
47       ],
48       packages=['{project}'],
49       package_data={'{project}': []},
50       scripts=[],
51       python_requires='>=2.7, !=3.0.*, !=3.1.*, !=3.2.*',
52       requires=[],
53       )